#include "colors.inc"
#include "textures.inc"
#include "metals.inc"
#include "shapes.inc"


camera
     {
     location <-1, 7, -19>
     look_at <7, 5, 0>
     }

sky_sphere 
         {
         pigment{ gradient y color_map { [0.0 color rgb <0.7,0.7,1.0>] [1.0 color blue 0.5] }}
         }

light_source
           {
           <-4, 15, 5>
           White
           }

fog 
  {
  fog_type   2
  distance   3
  color      White
  fog_offset 0.7
  fog_alt    0.6
  turbulence 1
  } 



     
//alley road

box
  {
  <80, 0, 0>, <-30, -0.1, -20>
  pigment {rgb 0.1}
  normal {agate scale 0.1}
  }

box
  {
  <8, 0, 0>, <45, -0.1, 30>
  pigment {rgb 0.1}
  normal {agate scale 0.1}
  }


//building walls    

difference{
box
  {
  <-45, 0, 0>, <7, 40, 1>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 }
  }

box
  {
  <-4, 5, 2>, <-1, 8, -1>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 }
  }
}

box
  {
  <-45, 0, 10>, <7, 40, 11>
  pigment {White}
  normal {wrinkles scale 0.1}
  }

//behind camera
box
  {
  <-45, 0, -20>, <45, 40, -21>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 }
  }  

//hidden
  
box
  {
  <7, 0, 0>, <8, 40, 30>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 rotate 90*y}
  }


//back
box
  {
  <8, 0, 30>, <46, 30, 31>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 }
  }


//far right  
box
  {
  <45, 0, -30>, <46, 40, 30>
  pigment {brick pigment{rgb 0.7}, pigment{rgb 0.4}scale 0.2 rotate 90*y}
  }


//fence  
cylinder        
       {
       <0, 7, 1>, <30, 7, 1>, 0.1
       texture {T_Chrome_1A}
       }

cylinder
       {
       <35, 7, 1>, <45, 7, 1>, 0.1
       texture {T_Chrome_1A}
       }
//fence cross

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -1*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -1.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -2*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -2.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -3*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -3.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -4*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -4.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -5*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -5.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -6*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -6.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -7*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -7.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -8*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 0.5*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 1*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 1.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 2*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 2.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 3*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 3.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 4*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 4.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 5*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 5.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 6*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 6.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 7*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 7.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 8*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 8.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 9*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 9.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 10*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 10.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 11*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 11.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 12*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 12.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 13*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 13.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 14*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 14.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 15*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 15.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 16*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 16.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 17*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 17.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 18*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 18.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 19*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 19.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 20*x
       }

cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 20.5*x
       }
       
cylinder
       {
       <8, 7, 1>, <15, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 21*x
       }
//---------------------------------=-=-=-=----=-=-=/-/-/-\-

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -1*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -1.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -2*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -2.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -3*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -3.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -4*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -4.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -5*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -5.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -6*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -6.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -7*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -7.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate -8*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 0.5*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 1*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 1.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 2*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 2.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 3*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 3.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 4*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 4.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 5*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 5.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 6*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 6.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 7*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 7.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 8*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 8.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 9*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 9.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 10*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 10.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 11*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 11.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 12*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 12.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 13*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 13.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 14*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 14.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 15*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 15.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 16*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 16.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 17*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 17.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 18*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 18.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 19*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 19.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 20*x
       }

cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 20.5*x
       }
       
cylinder
       {
       <15, 7, 1>, <8, 0, 1> 0.08
       texture {T_Chrome_1A}
       translate 21*x
       }        
//junkhouse

box
  {
  <37, 0, 2>, <43, 6, 15>
  pigment {brick pigment{rgb 0.7}, pigment{Red}scale 0.2 }
  }
  
//junkpile
blob 
   {
   threshold .75
   sphere {<25, 10, 15> 8 1}
   sphere {<25, 5, 15> 10 1}
   sphere {<20, 0, 10> 18 1}
   sphere {<30, 0, 10> 12 1}
   sphere {<20, 0, 20> 11 1}
   sphere {<30, 0, 20> 10 1}
   pigment {image_map {jpeg "trash_01.jpg" } scale 0.5}
   }

//rubbage bin

difference{
box
  {
  <0, 0.5, -1>, <7, 6, -5>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }        
  
box
  {
  <0.1, 0.6, -1.1>, <6.9, 7, -4.9>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }

prism
    {
    linear_sweep
    linear_spline
    -1, // sweep the following shape from here ...
    10, // ... up through here
    4, // the number of points making up the shape ...
    <2,-5>, <0,-1>, <0,-5>, <2,-5> 
    texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
    translate <-3, 0, 0>
    rotate -90*z
    translate <0, 3.01, -.01>
    }
}

//legs of dumpster
box
  {
  <0.1, 0, -1.1>, <0.3, 0.5, -1.3>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }

box
  {
  <0.1, 0, -4.9>, <0.3, 0.5, -4.7>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }
  
box
  {
  <6.9, 0, -4.9>, <6.7, 0.5, -4.7>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }
  
box
  {
  <6.9, 0, -1.1>, <6.7, 0.5, -1.3>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }    

//cover of dumpster
box
  {
  <0, 6.1, -1>, <3.5, 6, -5.6>
  texture{T_Chrome_1A pigment {Green} normal {dents } finish {reflection 0.05}}
  Rotate_Around_Trans (<101.37, 0, 0>, <0, 6, -1>)
  }

box
  {
  <7, 6.1, -1>, <3.5, 6, -5.6>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  Rotate_Around_Trans (<-27, 0, 0>, <0, 6, -1>)
  }

//trash in rubbage bin
intersection{

box
  {
  <0.1, 0.6, -1.1>, <6.9, 7, -4.9>
  texture{T_Chrome_1A pigment {Green} normal {dents} finish {reflection 0.05}}
  }
  
blob 
   {
   threshold .65
   sphere {<4, 3, -2> 9, 1 scale <1, 0.7, 1>}
   sphere {<5, 4, -1>, 2, -1}
   sphere {<0, 4, -1>, 2, 1}
   pigment {image_map {jpeg "trash_01.jpg" } scale 0.1}
   }  
  
}

//trash can

difference{
cone
   {
   <1, 7, -3>, 1, <-1, 8, -3>, 0.8
   pigment {Red}
   }

cone
   {
   <1, 7, -3>, 1, <-1, 8, -3>, 0.8
   pigment {Red}
   translate <0.1, -0.05, 0>
   }
}

//human (not the best, but it's my first try)

union{
blob
   {
   threshold .65
   sphere   { <-3, .65, -1>,   0.6, 1  pigment {Blue}}//left leg
   sphere   { <-3, .65, -1>,   0.6, -1  }
   sphere   { <-3, 1.25, -1>,  0.6, -1  }
   sphere   { <-3, .65, -2>,   0.6, 1  pigment {Blue}}//right leg
   sphere   { <-3, .65, -2>,   0.6, -1  }
   sphere   { <-3, 1.25, -2>,  0.6, -1  }
   sphere   { <-3, 2.5, -2>,  0.8, 1  pigment {Blue}}//hips
   sphere   { <-3, 2.5, -1>,  0.8, 1  pigment {Blue}}
   sphere   { <-3, 4.5, -1>,  0.6, -1  }
   sphere   { <-3, 4.5, -2>,  0.6, -1  }
   sphere   { <-3, 4.5, -3.5>,  0.6, -1  Rotate_Around_Trans(<40, -70,  10> , <-3, 4.5, -2>)}//arms
   sphere   { <-3, 4.5, .5>,  0.6, -1  Rotate_Around_Trans(<-40, 70,  10> , <-3, 4.5, -1>)}
   sphere   { <-3, 5.5, -1.5>  1, 1}  //head
   sphere   { <-3, 5.8*10/3, -1.5>  0.6, 1  scale 0.3*y pigment {Black}}  //head
   sphere   { <-3, 5.5, -1.5>  1, -0.1}
   
   cylinder { <-3, .65, -1>, <-3, 1.25, -1>, 0.6, 1 pigment {Blue}}//left leg
   cylinder { <-3, 2.5, -1>, <-3, 1.25, -1>, 0.6, 1 pigment {Blue}}
   cylinder { <-3, .65, -2>, <-3, 1.25, -2>, 0.6, 1 pigment {Blue}}//right leg
   cylinder { <-3, 2.5, -2>, <-3, 1.25, -2>, 0.6, 1 pigment {Blue}}
   cylinder { <-3, 2.5, -2>, <-3, 4.5, -2>, 0.6, 1 pigment {Red}}//body
   cylinder { <-3, 2.5, -1>, <-3, 4.5, -1>, 0.6, 1 pigment {Red}}
   cylinder { <-3, 2.5, -1.5>, <-3, 4.5, -1.5>, 0.6, 1 pigment {Red}}
   cylinder { <-3, 4.5, -3.5>, <-3, 4.5, -2>, 0.6, 1 pigment {Red} Rotate_Around_Trans(<40, -70,  10> , <-3, 4.5, -2>) }//arms
   cylinder { <-3, 4.5, .5>, <-3, 4.5, -1>, 0.6, 1 pigment {Red} Rotate_Around_Trans(<-40, 70,  10> , <-3, 4.5, -1>) }//arms
   cylinder { <-3, 4.5, -3.5>, <-3, 4.5, -5>, 0.6, 1  Rotate_Around_Trans(<20, 0, 0> , <-3, 4.5, -3.5>) Rotate_Around_Trans(<40, -70, 10> , <-3, 4.5, -2>)}//arms
   cylinder { <-3, 4.5, .5>, <-3, 4.5, 2>, 0.6, 1  Rotate_Around_Trans(<-20, 0,  0> , <-3, 4.5, .5>) Rotate_Around_Trans(<-40, 70, 10> , <-3, 4.5, -1>)}//arms
   cylinder { <-3, 4.5, -1.5>, <-3, 5.5, -1.5> 0.3, 1}
   pigment {Flesh}
   finish { phong 1 }
   translate <1, 0, -1.5>
   }

blob {
  threshold .65
  sphere{<-.23,-.32,0>,.43, 1 scale <1.95,1.05,.8>}   //palm
  sphere{<+.12,-.41,0>,.43, 1 scale <1.95,1.075,.8>}  //palm
  sphere{<-.23,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<+.19,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<-.22,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<+.19,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<-.65,.28,-.05>, .26, -1} //counteract pinky knucklebulge
sphere{<-.65,-.28,0>, .26, -1}   //counteract pinky palm bulge
sphere{<-.3,.44,-.05>, .26, -1}  //counteract ring knuckle bulge
sphere{<-.3,-.28,0>, .26, -1}    //counteract ring palm bulge
sphere{<.05,.49,-.05>, .26, -1}  //counteract middle knuckle bulge
sphere{<.05,-.28,0>, .26, -1}    //counteract middle palm bulge
sphere{<.4,.512,-.05>, .26, -1}  //counteract index knuckle bulge
sphere{<.4,-.4,0>, .26, -1}      //counteract index palm bulge
sphere{<.85,-.68,-.05>, .25, -1} //counteract thumb knuckle bulge
  
  cylinder{<-.65,-.28,0>, <-.65,.28,-.05>, .26, 1}    //lower pinky
  cylinder{<-.65,.28,-.05>, <-.65, .68,-.2>, .26, 1}  //upper pinky
  cylinder{<-.3,-.28,0>, <-.3,.44,-.05>, .26, 1}      //lower ring
  cylinder{<-.3,.44,-.05>, <-.3, .9,-.2>, .26, 1}     //upper ring
  cylinder{<.05,-.28,0>, <.05, .49,-.05>, .26, 1}     //lower middle
  cylinder{<.05,.49,-.05>, <.05, .95,-.2>, .26, 1}    //upper middle
  cylinder{<.4,-.4,0>, <.4, .512, -.05>, .26, 1}      //lower index
  cylinder{<.4,.512,-.05>, <.4, .85, -.2>, .26, 1}    //upper index
  cylinder{<.41, -.95,0>, <.85, -.68, -.05>, .25, 1}  //lower thumb
  cylinder{<.85,-.68,-.05>, <1.2, -.4, -.2>, .25, 1}  //upper thumb
  pigment{ Flesh }
rotate <-10, 0, 30>
scale 0.7
scale <-1, 1, -1>
translate <-0.2, 7.8, -4.2>

}


blob {
  threshold .65
  sphere{<-.23,-.32,0>,.43, 1 scale <1.95,1.05,.8>}   //palm
  sphere{<+.12,-.41,0>,.43, 1 scale <1.95,1.075,.8>}  //palm
  sphere{<-.23,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<+.19,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<-.22,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<+.19,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<-.65,.28,-.05>, .26, -1} //counteract pinky knucklebulge
sphere{<-.65,-.28,0>, .26, -1}   //counteract pinky palm bulge
sphere{<-.3,.44,-.05>, .26, -1}  //counteract ring knuckle bulge
sphere{<-.3,-.28,0>, .26, -1}    //counteract ring palm bulge
sphere{<.05,.49,-.05>, .26, -1}  //counteract middle knuckle bulge
sphere{<.05,-.28,0>, .26, -1}    //counteract middle palm bulge
sphere{<.4,.512,-.05>, .26, -1}  //counteract index knuckle bulge
sphere{<.4,-.4,0>, .26, -1}      //counteract index palm bulge
sphere{<.85,-.68,-.05>, .25, -1} //counteract thumb knuckle bulge
  
  cylinder{<-.65,-.28,0>, <-.65,.28,-.05>, .26, 1}    //lower pinky
  cylinder{<-.65,.28,-.05>, <-.65, .68,-.2>, .26, 1}  //upper pinky
  cylinder{<-.3,-.28,0>, <-.3,.44,-.05>, .26, 1}      //lower ring
  cylinder{<-.3,.44,-.05>, <-.3, .9,-.2>, .26, 1}     //upper ring
  cylinder{<.05,-.28,0>, <.05, .49,-.05>, .26, 1}     //lower middle
  cylinder{<.05,.49,-.05>, <.05, .95,-.2>, .26, 1}    //upper middle
  cylinder{<.4,-.4,0>, <.4, .512, -.05>, .26, 1}      //lower index
  cylinder{<.4,.512,-.05>, <.4, .85, -.2>, .26, 1}    //upper index
  cylinder{<.41, -.95,0>, <.85, -.68, -.05>, .25, 1}  //lower thumb
  cylinder{<.85,-.68,-.05>, <1.2, -.4, -.2>, .25, 1}  //upper thumb
  pigment{ Flesh }
rotate <-10, 0, 30>
scale 0.7
scale <-1, 1, 1>
translate <-0.2, 7.8, -1.8>
}

}

