#include "colors.inc"
#include "textures.inc"
#include "metals.inc"
#include "shapes.inc"


/*camera
     {
     location <-1, 7, -19>
     look_at <7, 5, 0>
     }*/

camera
     {
     location  <-15, 7, -5>
     look_at <7, 0, 0>    
     }

// Create an infinite sphere around scene and allow any pigment on it
sky_sphere 
         {
         pigment{ gradient y color_map { [0.0 color rgb <0.7,0.7,1.0>] [1.0 color blue 0.5] }}
         }

light_source
           {
           <000, 1000, -200>
           White
           }
     
//alley road

box
  {
  <80, 0, 0>, <-30, -0.1, -20>
  pigment {rgb 0.1}
  normal {agate scale 0.1}
  }

box
  {
  <8, 0, 0>, <45, -0.1, 30>
  pigment {rgb 0.1}
  normal {agate scale 0.1}
  }

difference{
cone
   {
   <1, 7, -3>, 1, <-1, 8, -3>, 0.8
   pigment {Red}
   }

cone
   {
   <1, 7, -3>, 1, <-1, 8, -3>, 0.8
   pigment {Red}
   translate <0.1, -0.05, 0>
   }
}

blob
   {
   threshold .65
   sphere   { <-3, .65, -1>,   0.6, 1  }//left leg
   sphere   { <-3, .65, -1>,   0.6, -1  }
   sphere   { <-3, 1.25, -1>,  0.6, -1  }
   sphere   { <-3, .65, -2>,   0.6, 1  }//right leg
   sphere   { <-3, .65, -2>,   0.6, -1  }
   sphere   { <-3, 1.25, -2>,  0.6, -1  }
   sphere   { <-3, 2.5, -2>,  0.8, 1  }//hips
   sphere   { <-3, 2.5, -1>,  0.8, 1  }
   sphere   { <-3, 4.5, -1>,  0.6, -1  }
   sphere   { <-3, 4.5, -2>,  0.6, -1  }
   sphere   { <-3, 4.5, -3.5>,  0.6, -1  Rotate_Around_Trans(<40, -70,  10> , <-3, 4.5, -2>)}//arms
   sphere   { <-3, 4.5, .5>,  0.6, -1  Rotate_Around_Trans(<-40, 70,  10> , <-3, 4.5, -1>)}
   sphere   { <-3, 5.5, -1.5>  0.9, 1}
   sphere   { <-3, 5.5, -1.5>  1, -0.1}
   
   cylinder { <-3, .65, -1>, <-3, 1.25, -1>, 0.6, 1 }//left leg
   cylinder { <-3, 2.5, -1>, <-3, 1.25, -1>, 0.6, 1 }
   cylinder { <-3, .65, -2>, <-3, 1.25, -2>, 0.6, 1 }//right leg
   cylinder { <-3, 2.5, -2>, <-3, 1.25, -2>, 0.6, 1 }
   cylinder { <-3, 2.5, -2>, <-3, 4.5, -2>, 0.6, 1 }//body
   cylinder { <-3, 2.5, -1>, <-3, 4.5, -1>, 0.6, 1 }
   cylinder { <-3, 2.5, -1.5>, <-3, 4.5, -1.5>, 0.6, 1 }
   cylinder { <-3, 4.5, -3.5>, <-3, 4.5, -2>, 0.6, 1 Rotate_Around_Trans(<40, -70,  10> , <-3, 4.5, -2>) }//arms
   cylinder { <-3, 4.5, .5>, <-3, 4.5, -1>, 0.6, 1 Rotate_Around_Trans(<-40, 70,  10> , <-3, 4.5, -1>) }//arms
   cylinder { <-3, 4.5, -3.5>, <-3, 4.5, -5>, 0.6, 1 Rotate_Around_Trans(<20, 0, 0> , <-3, 4.5, -3.5>) Rotate_Around_Trans(<40, -70, 10> , <-3, 4.5, -2>)}//arms
   cylinder { <-3, 4.5, .5>, <-3, 4.5, 2>, 0.6, 1 Rotate_Around_Trans(<-20, 0,  0> , <-3, 4.5, .5>) Rotate_Around_Trans(<-40, 70, 10> , <-3, 4.5, -1>)}//arms
   cylinder { <-3, 4.5, -1.5>, <-3, 5.5, -1.5> 0.3, 1}
   
   finish { phong 1 }
   translate <1, 0, -1.5>
   }

blob {
  threshold .65
  sphere{<-.23,-.32,0>,.43, 1 scale <1.95,1.05,.8>}   //palm
  sphere{<+.12,-.41,0>,.43, 1 scale <1.95,1.075,.8>}  //palm
  sphere{<-.23,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<+.19,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<-.22,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<+.19,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<-.65,.28,-.05>, .26, -1} //counteract pinky knucklebulge
sphere{<-.65,-.28,0>, .26, -1}   //counteract pinky palm bulge
sphere{<-.3,.44,-.05>, .26, -1}  //counteract ring knuckle bulge
sphere{<-.3,-.28,0>, .26, -1}    //counteract ring palm bulge
sphere{<.05,.49,-.05>, .26, -1}  //counteract middle knuckle bulge
sphere{<.05,-.28,0>, .26, -1}    //counteract middle palm bulge
sphere{<.4,.512,-.05>, .26, -1}  //counteract index knuckle bulge
sphere{<.4,-.4,0>, .26, -1}      //counteract index palm bulge
sphere{<.85,-.68,-.05>, .25, -1} //counteract thumb knuckle bulge
  
  cylinder{<-.65,-.28,0>, <-.65,.28,-.05>, .26, 1}    //lower pinky
  cylinder{<-.65,.28,-.05>, <-.65, .68,-.2>, .26, 1}  //upper pinky
  cylinder{<-.3,-.28,0>, <-.3,.44,-.05>, .26, 1}      //lower ring
  cylinder{<-.3,.44,-.05>, <-.3, .9,-.2>, .26, 1}     //upper ring
  cylinder{<.05,-.28,0>, <.05, .49,-.05>, .26, 1}     //lower middle
  cylinder{<.05,.49,-.05>, <.05, .95,-.2>, .26, 1}    //upper middle
  cylinder{<.4,-.4,0>, <.4, .512, -.05>, .26, 1}      //lower index
  cylinder{<.4,.512,-.05>, <.4, .85, -.2>, .26, 1}    //upper index
  cylinder{<.41, -.95,0>, <.85, -.68, -.05>, .25, 1}  //lower thumb
  cylinder{<.85,-.68,-.05>, <1.2, -.4, -.2>, .25, 1}  //upper thumb
  pigment{ Flesh }
rotate <-10, 0, 30>
scale 0.7
scale <-1, 1, -1>
translate <-0.2, 7.8, -4.2>

}


blob {
  threshold .65
  sphere{<-.23,-.32,0>,.43, 1 scale <1.95,1.05,.8>}   //palm
  sphere{<+.12,-.41,0>,.43, 1 scale <1.95,1.075,.8>}  //palm
  sphere{<-.23,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<+.19,-.63,0>, .45, .75 scale <1.78, 1.3,1>} //midhand
  sphere{<-.22,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<+.19,-.73,0>, .45, .85 scale <1.4, 1.25,1>} //heel
  sphere{<-.65,.28,-.05>, .26, -1} //counteract pinky knucklebulge
sphere{<-.65,-.28,0>, .26, -1}   //counteract pinky palm bulge
sphere{<-.3,.44,-.05>, .26, -1}  //counteract ring knuckle bulge
sphere{<-.3,-.28,0>, .26, -1}    //counteract ring palm bulge
sphere{<.05,.49,-.05>, .26, -1}  //counteract middle knuckle bulge
sphere{<.05,-.28,0>, .26, -1}    //counteract middle palm bulge
sphere{<.4,.512,-.05>, .26, -1}  //counteract index knuckle bulge
sphere{<.4,-.4,0>, .26, -1}      //counteract index palm bulge
sphere{<.85,-.68,-.05>, .25, -1} //counteract thumb knuckle bulge
  
  cylinder{<-.65,-.28,0>, <-.65,.28,-.05>, .26, 1}    //lower pinky
  cylinder{<-.65,.28,-.05>, <-.65, .68,-.2>, .26, 1}  //upper pinky
  cylinder{<-.3,-.28,0>, <-.3,.44,-.05>, .26, 1}      //lower ring
  cylinder{<-.3,.44,-.05>, <-.3, .9,-.2>, .26, 1}     //upper ring
  cylinder{<.05,-.28,0>, <.05, .49,-.05>, .26, 1}     //lower middle
  cylinder{<.05,.49,-.05>, <.05, .95,-.2>, .26, 1}    //upper middle
  cylinder{<.4,-.4,0>, <.4, .512, -.05>, .26, 1}      //lower index
  cylinder{<.4,.512,-.05>, <.4, .85, -.2>, .26, 1}    //upper index
  cylinder{<.41, -.95,0>, <.85, -.68, -.05>, .25, 1}  //lower thumb
  cylinder{<.85,-.68,-.05>, <1.2, -.4, -.2>, .25, 1}  //upper thumb
  pigment{ Flesh }
rotate <-10, 0, 30>
scale 0.7
scale <-1, 1, 1>
translate <-0.2, 7.8, -1.8>
}